package drills.drill03.exercise3

import java.io.Serializable
import java.rmi.Remote
import java.rmi.RemoteException
import java.rmi.server.UnicastRemoteObject

interface Rev : Remote {
    @Throws(RemoteException::class)
    fun executeTask(task: Task): Serializable
}

class RevImpl : Rev, UnicastRemoteObject() {
    override fun executeTask(task: Task): Serializable = task.execute()
}
